curl --request POST \
--url https://api.acedata.cloud/kimi/chat/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "kimi-k2.5",
"messages": [
{
"role": "user",
"content": "Hello!"
}
]
}
'import requests
url = "https://api.acedata.cloud/kimi/chat/completions"
payload = {
"model": "kimi-k2.5",
"messages": [
{
"role": "user",
"content": "Hello!"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({model: 'kimi-k2.5', messages: [{role: 'user', content: 'Hello!'}]})
};
fetch('https://api.acedata.cloud/kimi/chat/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"model": "<string>",
"object": "chat.completion",
"choices": [
{
"index": 123,
"message": {
"role": "assistant",
"content": "<string>",
"tool_calls": [
{
"id": "<string>",
"type": "function",
"function": {
"name": "<string>",
"arguments": "<string>"
}
}
],
"refusal": "<string>",
"audio": {
"id": "<string>",
"expires_at": 123,
"data": "<string>",
"transcript": "<string>"
}
},
"finish_reason": "stop",
"logprobs": {}
}
],
"created": 123,
"system_fingerprint": "<string>",
"usage": {
"prompt_tokens": 123,
"completion_tokens": 123,
"total_tokens": 123,
"prompt_tokens_details": {
"cached_tokens": 123,
"audio_tokens": 123
},
"completion_tokens_details": {
"reasoning_tokens": 123,
"audio_tokens": 123,
"accepted_prediction_tokens": 123,
"rejected_prediction_tokens": 123
}
}
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}Kimi Chat Completions
curl --request POST \
--url https://api.acedata.cloud/kimi/chat/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "kimi-k2.5",
"messages": [
{
"role": "user",
"content": "Hello!"
}
]
}
'import requests
url = "https://api.acedata.cloud/kimi/chat/completions"
payload = {
"model": "kimi-k2.5",
"messages": [
{
"role": "user",
"content": "Hello!"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({model: 'kimi-k2.5', messages: [{role: 'user', content: 'Hello!'}]})
};
fetch('https://api.acedata.cloud/kimi/chat/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"model": "<string>",
"object": "chat.completion",
"choices": [
{
"index": 123,
"message": {
"role": "assistant",
"content": "<string>",
"tool_calls": [
{
"id": "<string>",
"type": "function",
"function": {
"name": "<string>",
"arguments": "<string>"
}
}
],
"refusal": "<string>",
"audio": {
"id": "<string>",
"expires_at": 123,
"data": "<string>",
"transcript": "<string>"
}
},
"finish_reason": "stop",
"logprobs": {}
}
],
"created": 123,
"system_fingerprint": "<string>",
"usage": {
"prompt_tokens": 123,
"completion_tokens": 123,
"total_tokens": 123,
"prompt_tokens_details": {
"cached_tokens": 123,
"audio_tokens": 123
},
"completion_tokens_details": {
"reasoning_tokens": 123,
"audio_tokens": 123,
"accepted_prediction_tokens": 123,
"rejected_prediction_tokens": 123
}
}
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}Authorizations
API token from https://platform.acedata.cloud
Headers
Kimi Chat Completions Param Accept
application/json Body
Kimi Chat Completions Model
kimi-k2-thinking-turbo, kimi-k2.5, kimi-k2-thinking, kimi-k2-instruct-0905, kimi-k2-0905-preview, kimi-k2-turbo-preview, kimi-k2-0711-preview "kimi-k2.5"
Kimi Chat Completions Messages 4
1Show child attributes
Show child attributes
Kimi Chat Completions N
1 <= x <= 1281
Kimi Chat Completions Stream
Kimi Chat Completions Max Tokens
Kimi Chat Completions Temperature
0 <= x <= 21
Kimi Chat Completions Response Format 4
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Kimi Chat Completions Top P
0 <= x <= 11
Kimi Chat Completions Frequency Penalty
-2 <= x <= 20
Kimi Chat Completions Presence Penalty
-2 <= x <= 20
Kimi Chat Completions Seed
Kimi Chat Completions Stop 3
Kimi Chat Completions Max Completion Tokens
Kimi Chat Completions Logprobs
Kimi Chat Completions Top Logprobs
0 <= x <= 20Kimi Chat Completions Stream Options
Show child attributes
Show child attributes
Kimi Chat Completions Parallel Tool Calls
Kimi Chat Completions User
Kimi Chat Completions Reasoning Effort
minimal, low, medium, high Kimi Chat Completions Service Tier
auto, default, flex, scale, priority Kimi Chat Completions Store
Kimi Chat Completions Metadata
Show child attributes
Show child attributes
Kimi Chat Completions Logit Bias
Show child attributes
Show child attributes
Kimi Chat Completions Modalities
text, audio Kimi Chat Completions Audio
Show child attributes
Show child attributes
Kimi Chat Completions Prediction 3
Show child attributes
Show child attributes
Kimi Chat Completions Web Search Options
Show child attributes
Show child attributes
Kimi Chat Completions Tools
Show child attributes
Show child attributes
Kimi Chat Completions Tool Choice 3
none, auto, required Response
Kimi Chat Completions Response 200 2
Kimi Chat Completions Response 200
Kimi Chat Completions Response 200 Id
Kimi Chat Completions Response 200 Model
Kimi Chat Completions Response 200 Object
chat.completion Kimi Chat Completions Response 200 Choices
Show child attributes
Show child attributes
Kimi Chat Completions Response 200 Created
Kimi Chat Completions Response 200 System Fingerprint
Kimi Chat Completions Response 200 Usage
Show child attributes
Show child attributes
Was this page helpful?

